> ## Documentation Index
> Fetch the complete documentation index at: https://idle.docs.datacircle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify the code and get your API key



## OpenAPI

````yaml /openapi.json post /auth/verify-code/
openapi: 3.1.0
info:
  title: Datacircle API
  version: '1'
servers:
  - url: https://api.datacircle.dev
security:
  - token: []
paths:
  /auth/verify-code/:
    post:
      summary: Verify the code and get your API key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
                - code
              properties:
                email:
                  type: string
                code:
                  type: string
      responses:
        '200':
          description: Your token and first workspace
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                  user_id:
                    type: integer
                  workspace_id:
                    type: integer
                  email:
                    type: string
      security: []
components:
  securitySchemes:
    token:
      type: apiKey
      in: header
      name: Authorization
      description: '`Token <your API key>`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.